Public Member Functions | Private Attributes | List of all members
WP42MarginResetGroup Class Reference

`#include <WP42MarginResetGroup.h>`

Inheritance diagram for WP42MarginResetGroup:

## Public Member Functions
| WP42MarginResetGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP42MarginResetGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP42Listener *listener) override
Public Member Functions inherited from WP42MultiByteFunctionGroup
| WP42MultiByteFunctionGroup (unsigned char group)
| ~WP42MultiByteFunctionGroup () override
Public Member Functions inherited from WP42Part
virtual | ~WP42Part ()

## Private Attributes
unsigned char | m_leftMargin
unsigned char | m_rightMargin

## Additional Inherited Members
Static Public Member Functions inherited from WP42MultiByteFunctionGroup
static WP42MultiByteFunctionGroup * | constructMultiByteFunctionGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP42Part
static WP42Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP42MultiByteFunctionGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const

## Constructor & Destructor Documentation

## ◆ WP42MarginResetGroup()

WP42MarginResetGroup::WP42MarginResetGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group
| ) |  |

## ◆ ~WP42MarginResetGroup()

WP42MarginResetGroup::~WP42MarginResetGroup | ( |  | ) |
| override

## Member Function Documentation

## ◆ _readContents()

void WP42MarginResetGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| override virtual

Implements WP42MultiByteFunctionGroup.

## ◆ parse()

void WP42MarginResetGroup::parse | ( | WP42Listener * | listener | ) |
| override virtual

Implements WP42Part.

## Member Data Documentation

## ◆ m_leftMargin

unsigned char WP42MarginResetGroup::m_leftMargin
| private

Referenced by _readContents(), and parse().

## ◆ m_rightMargin

unsigned char WP42MarginResetGroup::m_rightMargin
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP42MarginResetGroup.h
- WP42MarginResetGroup.cpp